/**
 * Marlin 3D Printer Firmware
 * Copyright (C) 2016 MarlinFirmware [https://github.com/MarlinFirmware/Marlin]
 *
 * Based on Sprinter and grbl.
 * Copyright (C) 2011 Camiel Gubbels / Erik van der Zalm
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

/**
 * Custom Bitmap for splashscreen
 *
 * You may use one of the following tools to generate the C++ bitmap array from
 * a black and white image:
 *
 *  - http://www.marlinfw.org/tools/u8glib/converter.html
 *  - http://www.digole.com/tools/PicturetoC_Hex_converter.php
 */
//custom screen can be up to 112 wide and 64 high

//#include <avr/pgmspace.h>

#define CUSTOM_BOOTSCREEN_TIMEOUT   2500
#define CUSTOM_BOOTSCREEN_BMPWIDTH  128
#define CUSTOM_BOOTSCREEN_BMPHEIGHT 64
/**
 * Made with Marlin Bitmap Converter
 * http://marlinfw.org/tools/u8glib/converter.html
 *
 */
const unsigned char custom_start_bmp[] PROGMEM = {
  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF, // ################################################################################################################################
  0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01, // #..............................................................................................................................#
  0x80,0x00,0x00,0x00,0x00,0x00,0x60,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01, // #................................................##............................................................................#
  0x80,0x00,0x00,0x00,0x00,0x00,0x60,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01, // #................................................##............................................................................#
  0x80,0x00,0x00,0x00,0x00,0x00,0xC0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01, // #...............................................##.............................................................................#
  0x80,0x00,0x00,0x00,0x00,0x01,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01, // #..............................................##..............................................................................#
  0x80,0x00,0x00,0x00,0x00,0x03,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01, // #.............................................##...............................................................................#
  0x80,0x00,0x00,0x00,0x00,0x06,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01, // #............................................##................................................................................#
  0x80,0x00,0x00,0x00,0x00,0x3C,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01, // #.........................................####.................................................................................#
  0x80,0x00,0x00,0x00,0x00,0xC4,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01, // #.......................................##...#.................................................................................#
  0x80,0x00,0x00,0x00,0x07,0xE4,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01, // #....................................######..#.................................................................................#
  0x80,0x00,0x00,0x00,0x19,0x34,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01, // #..................................##..#..##.#.................................................................................#
  0x80,0x00,0x00,0x00,0x30,0x98,0x00,0x00,0x7E,0x3F,0x00,0x00,0x00,0x00,0x3F,0x01, // #.................................##....#..##....................######...######..................................######.......#
  0x80,0x00,0x00,0x00,0x64,0x48,0x00,0x00,0x7E,0x3F,0x00,0x00,0x00,0x00,0x7F,0x81, // #................................##..#...#..#....................######...######.................................########......#
  0x80,0x00,0x00,0x00,0xDF,0x38,0x07,0xBC,0x7F,0x3F,0x03,0xF1,0xE3,0xC0,0xF3,0xC1, // #...............................##.#####..###........####.####...#######..######......######...####...####......####..####.....#
  0x80,0x00,0x00,0x01,0x91,0x98,0x0F,0xFC,0x7F,0x7F,0x0F,0xFC,0xE3,0x80,0xF3,0xC1, // #..............................##..#...##..##.......##########...#######.#######....##########..###...###.......####..####.....#
  0x80,0x00,0x00,0x01,0x2E,0x98,0x0F,0x3C,0x7B,0x6F,0x0F,0x3C,0xF7,0x80,0xF3,0xC1, // #..............................#..#.###.#..##.......####..####...####.##.##.####....####..####..####.####.......####..####.....#
  0x80,0x00,0x00,0x03,0x2A,0xD0,0x0F,0x3C,0x7B,0x6F,0x0F,0x3C,0xF7,0x80,0x07,0x81, // #.............................##..#.#.#.##.#........####..####...####.##.##.####....####..####..####.####............####......#
  0x80,0x00,0x00,0x03,0x36,0x90,0x0F,0x3C,0x7B,0xEF,0x00,0xFC,0x77,0x00,0x0F,0x81, // #.............................##..##.##.#..#........####..####...####.#####.####........######...###.###............#####......#
  0x80,0x00,0x00,0x0E,0x99,0xB0,0x0F,0x3C,0x7B,0xEF,0x07,0xFC,0x7F,0x00,0x1F,0x01, // #...........................###.#..##..##.##........####..####...####.#####.####.....#########...#######...........#####.......#
  0x80,0x00,0x03,0xFC,0x4F,0x60,0x0F,0x3C,0x7B,0xEF,0x0F,0x3C,0x77,0x00,0x3E,0x01, // #.....................########...#..####.##.........####..####...####.#####.####....####..####...###.###..........#####........#
  0x80,0x00,0x04,0x86,0x20,0x60,0x0F,0xFC,0x7B,0xEF,0x0F,0x3C,0xF7,0x80,0x3C,0x01, // #....................#..#....##...#......##.........##########...####.#####.####....####..####..####.####.........####.........#
  0x80,0x00,0x19,0x84,0x58,0xC0,0x07,0xBC,0x79,0xCF,0x0F,0x3C,0xF7,0x80,0x7C,0x01, // #..................##..##....#...#.##...##...........####.####...####..###..####....####..####..####.####........#####.........#
  0x80,0x00,0x11,0x04,0x8D,0x80,0x00,0x3C,0x79,0xCF,0x0F,0xFC,0xE3,0x80,0xFF,0xC1, // #..................#...#.....#..#...##.##.................####...####..###..####....##########..###...###.......##########.....#
  0x80,0x00,0x13,0xF9,0x07,0x00,0x0F,0x3C,0x79,0xCF,0x07,0xBD,0xE3,0xC0,0xFF,0xC1, // #..................#..#######..#.....###............####..####...####..###..####.....####.####.####...####......##########.....#
  0x80,0x00,0x2E,0x1A,0x3C,0x00,0x0F,0xFC,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01, // #.................#.###....##.#...####..............##########.................................................................#
  0x80,0x00,0x78,0x06,0x68,0x00,0x03,0xF0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01, // #................####........##..##.#.................######...................................................................#
  0x80,0x00,0x70,0x1C,0x88,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01, // #................###.......###..#...#..........................................................................................#
  0x80,0x00,0x20,0x7F,0x88,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01, // #.................#......########...#..........................................................................................#
  0x80,0x00,0x00,0xCD,0x88,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01, // #.......................##..##.##...#..........................................................................................#
  0x80,0x00,0x03,0x08,0x88,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01, // #.....................##....#...#...#..........................................................................................#
  0x80,0x00,0x03,0x08,0xF8,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01, // #.....................##....#...#####..........................................................................................#
  0x80,0x00,0x07,0x98,0x78,0x00,0x0E,0x00,0x00,0x00,0x7C,0x00,0x00,0x00,0x00,0x01, // #....................####..##....####...............###..........................#####.........................................#
  0x80,0x00,0x04,0xF0,0x48,0x00,0x0E,0x00,0x00,0x00,0xEE,0x00,0x00,0x03,0x80,0x01, // #....................#..####.....#..#...............###.........................###.###.......................###..............#
  0x80,0x00,0x04,0x70,0x98,0x00,0x0F,0xDC,0xE0,0xFE,0xEE,0xE9,0xF1,0xF3,0xCF,0x81, // #....................#...###....#..##...............######.###..###.....#######.###.###.###.#..#####...#####..####..#####......#
  0x80,0x00,0x05,0xC1,0x90,0x00,0x0E,0xCC,0xC0,0xEE,0xEE,0xFB,0xBB,0xBB,0x9D,0xC1, // #....................#.###.....##..#................###.##..##..##......###.###.###.###.#####.###.###.###.###.###..###.###.....#
  0x80,0x00,0x0F,0x01,0x60,0x00,0x0E,0xCE,0xC0,0xEE,0xE0,0xE3,0xBB,0xBB,0x9D,0xC1, // #...................####.......#.##.................###.##..###.##......###.###.###.....###...###.###.###.###.###..###.###.....#
  0x80,0x00,0x36,0x03,0xC0,0x00,0x0E,0xCE,0xC0,0xEE,0xEE,0xE3,0xF8,0xFB,0x9F,0xC1, // #.................##.##.......####..................###.##..###.##......###.###.###.###.###...#######...#####.###..#######.....#
  0x80,0x00,0x68,0x03,0x80,0x00,0x0E,0xC6,0xC0,0xFE,0xEE,0xE3,0x83,0xBB,0x9C,0x01, // #................##.#.........###...................###.##...##.##......#######.###.###.###...###.....###.###.###..###.........#
  0x80,0x00,0x98,0x01,0x00,0x00,0x0E,0xC6,0xC0,0x0E,0xEE,0xE3,0xBB,0xBB,0x9D,0xC1, // #...............#..##..........#....................###.##...##.##..........###.###.###.###...###.###.###.###.###..###.###.....#
  0x80,0x01,0x30,0x00,0x00,0x00,0x0F,0xC7,0xC0,0xEE,0x7C,0xE1,0xF3,0xFB,0xCF,0x81, // #..............#..##................................######...#####......###.###..#####..###....#####..#######.####..#####......#
  0x80,0x02,0xC8,0x00,0x00,0x00,0x00,0x0F,0x80,0x7C,0x00,0x00,0x00,0x00,0x00,0x01, // #.............#.##..#.......................................#####........#####.................................................#
  0x80,0x04,0x18,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01, // #............#.....##..........................................................................................................#
  0x80,0x0C,0x90,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01, // #...........##..#..#...........................................................................................................#
  0x80,0x08,0x90,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01, // #...........#...#..#...........................................................................................................#
  0x80,0x18,0xE0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01, // #..........##...###............................................................................................................#
  0x80,0x11,0x40,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01, // #..........#...#.#.............................................................................................................#
  0x80,0x36,0x80,0x00,0x00,0x00,0x0F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xC1, // #.........##.##.#...................................######################################################################.....#
  0x80,0x23,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01, // #.........#...###..............................................................................................................#
  0x80,0x61,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01, // #........##....##..............................................................................................................#
  0x80,0x40,0xC0,0x00,0x70,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01, // #........#......##...............###...........................................................................................#
  0x80,0xC0,0x80,0x00,0xDC,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01, // #.......##......#...............##.###.........................................................................................#
  0x80,0x80,0xC0,0x01,0xB6,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01, // #.......#.......##.............##.##.##........................................................................................#
  0x80,0x40,0x60,0x7D,0x83,0x00,0x00,0x63,0x00,0x04,0x80,0x01,0x00,0x40,0x38,0x01, // #........#.......##......#####.##.....##.................##...##.............#..#..............#.........#........###..........#
  0x80,0xC0,0x30,0xE7,0x81,0x80,0x00,0x63,0x00,0x04,0x00,0x03,0x00,0xC0,0x44,0x01, // #.......##........##....###..####......##................##...##.............#................##........##.......#...#.........#
  0x80,0xC0,0x1E,0x41,0xC1,0x80,0x00,0x55,0x1F,0x74,0x9F,0x05,0x01,0x40,0x44,0x01, // #.......##.........####..#.....###.....##................#.#.#.#...#####.###.#..#..#####.....#.#.......#.#.......#...#.........#
  0x80,0x40,0x5B,0xC0,0x60,0x80,0x00,0x55,0x01,0x44,0x91,0x01,0x00,0x40,0x3C,0x01, // #........#.......#.##.####.......##.....#................#.#.#.#.......#.#...#..#..#...#.......#.........#........####.........#
  0x80,0x68,0x41,0x80,0x20,0xC0,0x00,0x55,0x0F,0x44,0x91,0x01,0x00,0x40,0x04,0x01, // #........##.#....#.....##.........#.....##...............#.#.#.#....####.#...#..#..#...#.......#.........#...........#.........#
  0x80,0x2C,0x26,0x00,0x00,0xC0,0x00,0x49,0x11,0x44,0x91,0x01,0x00,0x40,0x04,0x01, // #.........#.##....#..##.................##...............#..#..#...#...#.#...#..#..#...#.......#.........#...........#.........#
  0x80,0x38,0x1E,0x00,0x00,0x40,0x00,0x49,0x1F,0x44,0x91,0x01,0x08,0x41,0x38,0x01, // #.........###......####..................#...............#..#..#...#####.#...#..#..#...#.......#....#....#.....#..###..........#
  0x80,0x18,0x79,0x00,0x40,0x40,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01, // #..........##....####..#.........#.......#.....................................................................................#
  0x80,0x18,0x01,0x00,0x80,0x40,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01, // #..........##..........#........#........#.....................................................................................#
  0x80,0x0E,0x00,0x00,0x80,0xC0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01, // #...........###.................#.......##.....................................................................................#
  0xFF,0x87,0xFF,0xFF,0xFF,0x87,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF  // #########....############################....###################################################################################
};
